#include <iostream> // library for printing
#include <string>   // support for strings
#include <vector>   // support for vectors
#include <assert.h>
using namespace std;

// For compiling C++ code
// g++ a.c -o a

int main()
{
  vector<string> grid;

  grid.push_back("DOG....");
  grid.push_back("---....");
  grid.push_back("----...");
  grid.push_back("-------");
  grid.push_back("...----");
  grid.push_back("....---");
  grid.push_back("....CAT");

  int rows = grid.size();
  int cols = grid[0].size();
  for (string s : grid)
  {
    assert(s.size() == cols);
  }

  cout << "rows=" << rows << "\n";
  cout << "cols=" << cols << "\n";
}